Bug 866966 - httpd needs restart post ipa-adtrust-install
httpd needs restart post ipa-adtrust-install
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.4
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 08:25 EDT by Steeve Goveas
Modified: 2015-05-13 03:17 EDT (History)
2 users (show)

See Also:
Fixed In Version: ipa-3.0.0-7.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:28:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steeve Goveas 2012-10-16 08:25:48 EDT
Description of problem:
If ipa-server-trust-ad is installed after ipa server is installed and configured, httpd needs a restart post ipa-adtrust-install is run. This is for additional python modules to be loaded into httpd on IPA initialization. 

Version-Release number of selected component (if applicable):
ipa-server-trust-ad-3.0.0-2.fc18.x86_64
ipa-server-3.0.0-2.fc18.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Dmitri Pal 2012-10-16 09:14:07 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3185
Comment 4 Namita Soman 2012-10-22 07:57:53 EDT
*** Bug 866969 has been marked as a duplicate of this bug. ***
Comment 5 Martin Kosek 2012-10-31 03:56:34 EDT
master: fe66fbe637132ac5eb22eea388e2261f33497bf5
ipa-3-0: 6b7e5ec71ad9c6cf852e05086f45f8147c7c066c

httpd is now restarted when ipa-server-trust-ad package is installed/updated AND IPA is configured on the system.
Comment 7 Scott Poore 2012-11-12 13:54:21 EST
Verified.

Version ::

ipa-server-trust-ad-3.0.0-8.el6.x86_64

Manual Test Results ::

# simple test:

DATE1=$(ps -ef|grep "h[t]tpd" | tail -1 | awk '{print $5}'|sed 's/://g')
yum -y install ipa-server-trust-ad
DATE2=$(ps -ef|grep "h[t]tpd" | tail -1 | awk '{print $5}'|sed 's/://g')
if [ $DATE2 -gt $DATE1 ]; then 
  echo BZ NOT FOUND
else
  echo BZ FOUND
fi

For automation may want/need to put a 1 min sleep in to be certain that the DATES will differ if httpd is restarted.

------ output -----------

[root@rhel6-1 log]# DATE1=$(ps -ef|grep "h[t]tpd" | tail -1 | awk '{print $5}'|sed 's/://g')

[root@rhel6-1 log]# yum -y install ipa-server-trust-ad
Loaded plugins: product-id, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package ipa-server-trust-ad.x86_64 0:3.0.0-8.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=======================================================================================================
 Package                         Arch               Version                   Repository          Size
=======================================================================================================
Installing:
 ipa-server-trust-ad             x86_64             3.0.0-8.el6               rhel64             120 k

Transaction Summary
=======================================================================================================
Install       1 Package(s)

Total download size: 120 k
Installed size: 257 k
Downloading Packages:
ipa-server-trust-ad-3.0.0-8.el6.x86_64.rpm                                      | 120 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : ipa-server-trust-ad-3.0.0-8.el6.x86_64                                              1/1 
  Verifying  : ipa-server-trust-ad-3.0.0-8.el6.x86_64                                              1/1 

Installed:
  ipa-server-trust-ad.x86_64 0:3.0.0-8.el6                                                             

Complete!

[root@rhel6-1 log]# DATE2=$(ps -ef|grep "h[t]tpd" | tail -1 | awk '{print $5}'|sed 's/://g')

[root@rhel6-1 log]# if [ $DATE2 -gt $DATE1 ]; then 
>   echo BZ NOT FOUND
> else
>   echo BZ FOUND
> fi
BZ NOT FOUND


[root@rhel6-1 log]# rpm -q --scripts ipa-server-trust-ad|grep httpd.*restart
    /sbin/service httpd condrestart >/dev/null 2>&1 || :
Comment 10 errata-xmlrpc 2013-02-21 04:28:15 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.